Subject: [Dime] Using Redirect agents in application servers

From: "Ajay Kolambekar" <[email-masked]>
Date: Tue, 26 Sep 2006 11:31:44 -0400

Hi All,

I have one query related to usage of Redirect Agent from application server (AS)
What should be the Hop-By-Hop id while sending message to the HSS
indicated by the response received from SLF in Redirect-Host AVP, is
that should be same as the one is sent in the request sent to SLF or
it should be again a unique
identifier.

 AS                                         SLF                     HSS
 |            Req HbH = "X"             |                            |
 |--------------------------------------------->|                            |
 |                                               |                            |
 |    Resp. HbH = "X"                   |                            |
 |    Redirect-Host="HSS"            |                            |
 |<---------------------------------------------|                            |
 |                                                                            |
 |                               Req  HbH=???????                 |
 |-------------------------------------------------------------------------->|

HbH shoud be "X" or some unique value

Regards,
Ajay

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime

---

From: Rajith R <[email-masked]>
Date: Wed, 27 Sep 2006 10:06:55 +0530

Hi
	In my opinion it is better to be different. Otherwise there could be
some problems in some situations; for eg: consider a cross over of a
fail(ed) over request from AS and the redirect response from SLF. (I assume
for the failed over request, most implementations use the same hop id as the
original). If the same hop id is used for the redirected request, then the
response to the (crossed over) duplicate request or the response to the
redirected request may result in a transaction match. To avoid this
ambiguity (may be there are more), it is better to use a different hop id in
the redirected request.

Rajith

>-----Original Message-----
>From: Ajay Kolambekar [mailto:[email-masked]] 
>Sent: Tuesday, September 26, 2006 9:02 PM
>To: [email-masked]
>Subject: [Dime] Using Redirect agents in application servers
>
>Hi All,
>
>I have one query related to usage of Redirect Agent from 
>application server (AS) What should be the Hop-By-Hop id while 
>sending message to the HSS indicated by the response received 
>from SLF in Redirect-Host AVP, is that should be same as the 
>one is sent in the request sent to SLF or it should be again a 
>unique identifier.
>
> AS                                         SLF                     HSS
> |            Req HbH = "X"             |                            |
>               |
> |                                                             
>               |